ASN1Null (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1

## Class ASN1Null

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1Null

- All Implemented Interfaces:
    ASN1Encodable, Encodable
  Direct Known Subclasses:
    DERNull

      public abstract class ASN1Null
      extends ASN1Primitive

  A NULL object - use DERNull.INSTANCE for populating structures.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASN1Null()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ASN1Null` | `getInstance(java.lang.Object o)` Return an instance of ASN.1 NULL from the passed in object.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `equals, fromByteArray, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASN1Null

          public ASN1Null()

  - ### Method Detail

    - #### getInstance

          public static ASN1Null getInstance(java.lang.Object o)

      Return an instance of ASN.1 NULL from the passed in object.

      Accepted inputs:

      - null → null
      - `ASN1Null` object
      - a byte[] containing ASN.1 NULL object
      Parameters:
        `o` - object to be converted.
      Returns:
        an instance of ASN1Null, or null.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `ASN1Primitive`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`